Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1651965 - netpbm should use system jasper and jbigkit
Summary: netpbm should use system jasper and jbigkit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netpbm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 10:27 UTC by Josef Ridky
Modified: 2019-01-11 04:33 UTC (History)
7 users (show)

Fixed In Version: netpbm-10.84.03-1.fc28 netpbm-10.84.03-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1651586
Environment:
Last Closed: 2019-01-11 02:58:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Josef Ridky 2018-11-21 10:27:18 UTC
Description of problem:
Previously netpbm-progs used linked jasper library from the system which is watched for security. Current version uses built in implementation containing security flaws.

How reproducible:
100%

Steps to Reproduce:
1. ldd /usr/bin/jpeg2ktopam
^ This might affect other binaries from the package.

Actual results:
	linux-vdso.so.1 (0x00007fff669cc000)
	libnetpbm.so.11 => /lib64/libnetpbm.so.11 (0x00007f9bf18d3000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f9bf1551000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f9bf118d000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f9bf1d52000)


Expected results:
use shared libjasper.so

Comment 1 Fedora Update System 2018-11-26 07:15:48 UTC
netpbm-10.84.03-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e58b5856ca

Comment 2 Fedora Update System 2018-11-26 07:15:58 UTC
netpbm-10.84.03-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8069447986

Comment 3 Fedora Update System 2018-11-26 07:16:06 UTC
netpbm-10.84.03-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-59216298b2

Comment 4 Fedora Update System 2018-11-27 04:27:29 UTC
netpbm-10.84.03-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-59216298b2

Comment 5 Fedora Update System 2018-11-27 05:13:35 UTC
netpbm-10.84.03-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8069447986

Comment 6 Fedora Update System 2018-11-27 05:42:37 UTC
netpbm-10.84.03-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e58b5856ca

Comment 7 Fedora Update System 2019-01-11 02:58:49 UTC
netpbm-10.84.03-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-01-11 04:33:07 UTC
netpbm-10.84.03-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.